Skip to content

List a branch's comments

GET
/api/orgs/{org}/projects/{project}/comments
curl --request GET \
--url 'https://api.wrktr.com/api/orgs/example/projects/example/comments?branch=example' \
--header 'Authorization: Bearer <token>'

Its review threads and replies, re-anchored to the branch head.

org
required
string
project
required
string
branch
required
string

BranchComments

Media typeapplication/json
object
branch
required
string
headSha
required
string
comments
required
Array<object>
object
id
required
string
branch
required
string
path
required
string
line
required
Any of:
number
anchorSha
required
string
lineText
required
string
body
required
string
author
required
string
authorKind
required
string
Allowed values: human agent
parentId
required
Any of:
string
status
required
string
Allowed values: open resolved outdated
reviewId
required
Any of:
string
resolvedSha
required
Any of:
string
createdAt
required
Any of:
number
updatedAt
required
Any of:
number
severity
required
Any of:
string
Allowed values: blocker issue nit
Example
{
"comments": [
{
"line": "Infinity",
"authorKind": "human",
"status": "open",
"createdAt": "Infinity",
"updatedAt": "Infinity",
"severity": "blocker"
}
]
}

Unauthorized

Media typeapplication/json
object
_tag
required
string
Allowed values: Unauthorized
message
required
string
Example
{
"_tag": "Unauthorized"
}

ProjectNotFound | BranchNotFound

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: ProjectNotFound
project
required
string
Example
{
"_tag": "ProjectNotFound"
}